/*
	Descrição: Funcionalidades da barra de progresso
    Autor: Adriano Angélico
	Data: 14/10/2015
	Versão: 1.0
*/

$(function () {
    // função da barra de progresso
    $(".progressbar").not(".default-bar").each(function () {
        var per = Math.floor(Math.random() * 100) + 1; // pega um número aleatório entre 0 e 100
        var w = $(this).find(".percentage-bar").css({ "width": per + "%" }); // define o tamanho da barra de progresso
        var txt = $(this).find(".percentage-value").text(per + "%"); // define o valor da barra de progresso

        // de acordo com a porcentagem, mostra a barra de progresso com os valores referentes
        if (per <= 15) {
            w;
            txt;
        } else if (per > 15 && per <= 30) {
            w;
            txt;
        } else if (per > 30 && per <= 50) {
            w;
            txt;
        } else {
            w;
            txt;
        }
    });
});